<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/adaptive_media/init.jsp" %>

<liferay-ui:success key="configurationEntriesDeleted">

	<%
	List<AMImageConfigurationEntry> amImageConfigurationEntries = (List<AMImageConfigurationEntry>)SessionMessages.get(renderRequest, "configurationEntriesDeleted");
	%>

	<c:choose>
		<c:when test="<%= amImageConfigurationEntries.size() == 1 %>">
			<liferay-ui:message arguments="<%= HtmlUtil.escape(amImageConfigurationEntries.get(0).getName()) %>" key="x-was-deleted-successfully" translateArguments="<%= false %>" />
		</c:when>
		<c:otherwise>
			<liferay-ui:message arguments='<%= HtmlUtil.escape(ListUtil.toString(amImageConfigurationEntries, "name")) %>' key="x-were-deleted-successfully" translateArguments="<%= false %>" />
		</c:otherwise>
	</c:choose>
</liferay-ui:success>

<liferay-ui:success key="configurationEntryEnabled">

	<%
	AMImageConfigurationEntry amImageConfigurationEntry = (AMImageConfigurationEntry)SessionMessages.get(renderRequest, "configurationEntryEnabled");
	%>

	<liferay-ui:message arguments="<%= HtmlUtil.escape(amImageConfigurationEntry.getName()) %>" key="x-was-enabled-successfully" translateArguments="<%= false %>" />
</liferay-ui:success>

<liferay-ui:success key="configurationEntryDisabled">

	<%
	AMImageConfigurationEntry amImageConfigurationEntry = (AMImageConfigurationEntry)SessionMessages.get(renderRequest, "configurationEntryDisabled");
	%>

	<liferay-ui:message arguments="<%= HtmlUtil.escape(amImageConfigurationEntry.getName()) %>" key="x-was-disabled-successfully" translateArguments="<%= false %>" />
</liferay-ui:success>

<liferay-ui:success key="configurationEntryUpdatedAndIDRenamed">

	<%
	AMImageConfigurationEntry amImageConfigurationEntry = (AMImageConfigurationEntry)SessionMessages.get(renderRequest, "configurationEntryUpdatedAndIDRenamed");
	%>

	<liferay-ui:message arguments="<%= new String[] {HtmlUtil.escape(amImageConfigurationEntry.getName()), amImageConfigurationEntry.getUUID()} %>" key="x-was-saved-successfully.-the-id-was-duplicated-and-renamed-to-x" translateArguments="<%= false %>" />
</liferay-ui:success>

<liferay-ui:success key="optimizeImages" message="processing-images.-this-could-take-a-while-depending-on-the-number-of-images" />