<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
DepotAdminDLDisplayContext depotAdminDLDisplayContext = (DepotAdminDLDisplayContext)request.getAttribute(DepotAdminDLDisplayContext.class.getName());
%>

<liferay-frontend:fieldset
	collapsible="<%= true %>"
	cssClass="panel-group-flush"
	label='<%= LanguageUtil.get(request, "documents-and-media") %>'
>
	<aui:input helpMessage='<%= LanguageUtil.format(request, "can-user-with-view-permission-browse-the-asset-library-document-library-files-and-folders", new Object[] {depotAdminDLDisplayContext.getGroupName(), depotAdminDLDisplayContext.getGroupDLFriendlyURL()}, false) %>' inlineLabel="right" label="enable-directory-indexing" labelCssClass="simple-toggle-switch" name="TypeSettingsProperties--directoryIndexingEnabled--" type="toggle-switch" value="<%= depotAdminDLDisplayContext.isDirectoryIndexingEnabled() %>" />

	<c:if test="<%= depotAdminDLDisplayContext.isShowFileSizePerMimeType() %>">
		<liferay-frontend:fieldset
			collapsible="<%= true %>"
			cssClass="mt-5"
			label='<%= LanguageUtil.get(request, "maximum-file-size-and-mimetypes") %>'
		>
			<div>
				<span aria-hidden="true" class="loading-animation"></span>

				<react:component
					module="js/FileSizePerMimeType"
					props="<%= depotAdminDLDisplayContext.getFileSizePerMimeTypeData() %>"
				/>
			</div>
		</liferay-frontend:fieldset>
	</c:if>
</liferay-frontend:fieldset>